> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get a design library version

GET https://api.contentful.com/spaces/{spaceId}/design_libraries/{designLibraryId}/versions/{versionId}

Retrieves a design library version and its processing status.

Poll this endpoint while `sys.status` is `created` or `in_progress`. Item reads and installations require `succeeded`.

Reference: https://contentful.com/developers/docs/references/experience-management-api/design-libraries/versions/get-design-library-version

## Authentication

- `Authorization` header (bearer token, required) — Contentful Management API token

## Request

### Path parameters

- `spaceId` (string, required)
- `designLibraryId` (string, required)
- `versionId` (string, required)

## Response

### 200

200

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdGetResponsesContentApplicationJsonSchemaSys, required)
- `name` (string, required)
- `description` (string, required, nullable)
- `itemCounts` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdGetResponsesContentApplicationJsonSchemaItemCounts, required)
- `errors` (list of SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Errors

### 400 Bad Request Error

400

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

### 401 Unauthorized Error

401

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

### 403 Forbidden Error

403

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

### 404 Not Found Error

404

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

### 409 Conflict Error

409

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

### 422 Unprocessable Entity Error

422

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

### 500 Internal Server Error

500

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

## Types

### SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdGetResponsesContentApplicationJsonSchemaSys

- `id` (string, required)
- `type` ("Error", required)

### SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdGetResponsesContentApplicationJsonSchemaItemCounts

- `experienceTemplates` (double, optional)
- `components` (double, optional)
- `designTokens` (double, optional)
- `contentTypes` (double, optional)
- `dataAssemblies` (double, optional)
- `editorInterfaces` (double, optional)

### SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdGetResponsesContentApplicationJsonSchemaErrorsItems

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdGetResponsesContentApplicationJsonSchemaErrorsItemsSys, required)
- `message` (string, required)
- `details` (string, required)

### SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdGetResponsesContentApplicationJsonSchemaErrorsItemsSys

- `type` ("Error", required)
- `name` (string, required)

## Examples

**Response**

```json
{
  "sys": {
    "id": "string",
    "type": "string",
    "completedAt": "string",
    "createdAt": "string",
    "createdBy": {
      "sys": {
        "id": "string",
        "linkType": "string",
        "type": "string"
      }
    },
    "designLibrary": {
      "sys": {
        "id": "string",
        "linkType": "string",
        "type": "string"
      }
    },
    "space": {
      "sys": {
        "id": "string",
        "linkType": "string",
        "type": "string"
      }
    },
    "status": "created"
  },
  "name": "string",
  "description": "string",
  "itemCounts": {
    "experienceTemplates": 1.1,
    "components": 1.1,
    "designTokens": 1.1,
    "contentTypes": 1.1,
    "dataAssemblies": 1.1,
    "editorInterfaces": 1.1
  },
  "errors": [
    {
      "sys": {
        "type": "string",
        "name": "string"
      },
      "message": "string",
      "details": "string"
    }
  ]
}
```

**SDK Code**

```http HTTP
GET /spaces/{sourceSpaceId}/design_libraries/{designLibraryId}/versions/{versionId} HTTP/1.1
Host: api.contentful.com
Authorization: Bearer <management_token>
```